# Update

Launch stage: GA

`PUT /api/2.1/unity-catalog/artifact-allowlists/{artifact_type}`

Set the artifact allowlist of a certain artifact type.
 The whole artifact allowlist is replaced with the new allowlist.
 The caller must be a metastore admin or have the **MANAGE ALLOWLIST** privilege
 on the metastore.

API scopes: unity-catalog

## Path parameters

- `artifact_type` (string, optional)
  The artifact type of the allowlist.
  Possible values: `ARTIFACT_TYPE_UNSPECIFIED`, `INIT_SCRIPT`, `LIBRARY_JAR`, `LIBRARY_MAVEN`

## Request body

- `artifact_matchers` (array of object, optional)
  A list of allowed artifact match patterns.
  - `artifact` (string, optional)
    The artifact path or maven coordinate
  - `match_type` (string, optional)
    The pattern matching type of the artifact
    Possible values: `MATCH_TYPE_UNSPECIFIED`, `PREFIX_MATCH`
- `metastore_id` (string, optional)
  Unique identifier of parent metastore.
- `created_by` (string, optional)
  Username of the user who set the artifact allowlist.
- `created_at` (int64, optional)
  Time at which this artifact allowlist was set, in epoch milliseconds.

## Returns

Returns the ArtifactAllowlistInfo object.

## Response

```json
{
  "artifact_matchers": [
    {
      "artifact": "string",
      "match_type": "string"
    }
  ],
  "metastore_id": "string",
  "created_by": "string",
  "created_at": 0
}
```

